summaryrefslogtreecommitdiff
path: root/dev-python/PyQt5
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/PyQt5')
-rw-r--r--dev-python/PyQt5/Manifest1
-rw-r--r--dev-python/PyQt5/PyQt5-5.14.2-r1.ebuild (renamed from dev-python/PyQt5/PyQt5-5.14.2.ebuild)28
-rw-r--r--dev-python/PyQt5/PyQt5-5.15.0-r1.ebuild (renamed from dev-python/PyQt5/PyQt5-5.15.0.ebuild)28
-rw-r--r--dev-python/PyQt5/PyQt5-5.15.1.ebuild190
-rw-r--r--dev-python/PyQt5/metadata.xml2
5 files changed, 204 insertions, 45 deletions
diff --git a/dev-python/PyQt5/Manifest b/dev-python/PyQt5/Manifest
index a28ca1fecfa2..a78c59a5651b 100644
--- a/dev-python/PyQt5/Manifest
+++ b/dev-python/PyQt5/Manifest
@@ -1,2 +1,3 @@
DIST PyQt5-5.14.2.tar.gz 3246557 BLAKE2B 0dd57da76dede97349c1af1d97cebad430dd5ae03c99b71de2e1ef1c41c1503820b0c0b1af8ddb507ffa5d6f466f7d3012db2cf625dad949dc4c962fb9e8a6a3 SHA512 56d9b2970ff50f2af0bfd889ad1226bf64087a6210cc545c5a0188352d1651343fcda9d53f04b041273f61bf31baf43af4a1854c1b580d50c28cff82f59c24ec
DIST PyQt5-5.15.0.tar.gz 3262004 BLAKE2B 6f9751bb00a8099555da89cc0df26d36906fabaf12eba60d11479152ad78805ba84d6de9c32b6212a19edb38b10c2253976a964bdcfaf18b8b8aa3656126b73f SHA512 35bcfef4d7ccfee04c1c4409d2af3d862f1e8e46d6ce743bfcfbaf43d2046bc58317824b0840f3db460ad280d1b7e896812268b36225198e916a1d9ea86823a9
+DIST PyQt5-5.15.1.tar.gz 3264559 BLAKE2B 20060297c52aa5d07ba28b50440bd3623b8648eef8502693f8175af9ba4edf9238b9be71c696ea2589556ad70e70e868dc9c286466af22867ab51d5c66e613db SHA512 a7378dd53337c58f5ba7e9f7510b57fe4affe578b68975ce1dd7ba5c2a1c77d08d51d11078ce782aab09509df934eb3e4d0588de87391f74ad99f9624644cc4e
diff --git a/dev-python/PyQt5/PyQt5-5.14.2.ebuild b/dev-python/PyQt5/PyQt5-5.14.2-r1.ebuild
index afd89e2e83a5..6f47872f089c 100644
--- a/dev-python/PyQt5/PyQt5-5.14.2.ebuild
+++ b/dev-python/PyQt5/PyQt5-5.14.2-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{6,7,8,9} )
inherit multibuild python-r1 qmake-utils
DESCRIPTION="Python bindings for the Qt framework"
@@ -54,20 +54,13 @@ REQUIRED_USE="
# Minimal supported version of Qt.
QT_PV="5.12:5"
-RDEPEND="
- ${PYTHON_DEPS}
- $(python_gen_cond_dep '
- dev-python/enum34[${PYTHON_USEDEP}]
- ' -2)
+RDEPEND="${PYTHON_DEPS}
>=dev-python/PyQt5-sip-4.19.20:=[${PYTHON_USEDEP}]
>=dev-qt/qtcore-${QT_PV}
>=dev-qt/qtxml-${QT_PV}
bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )
dbus? (
- python_targets_python2_7? (
- dev-python/dbus-python2[python_targets_python2_7]
- )
- dev-python/dbus-python[python_targets_python3_6(-)?,python_targets_python3_7(-)?,python_targets_python3_8(-)?,python_targets_python3_9(-)?,-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-)]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
>=dev-qt/qtdbus-${QT_PV}
)
declarative? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
@@ -159,13 +152,8 @@ src_configure() {
"${myconf[@]}" || die
# Fix parallel install failure
- if python_is_python3; then
- sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
- ${PN}.pro || die
- else
- sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_qscintilla_api' \
- ${PN}.pro || die
- fi
+ sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
+ ${PN}.pro || die
# Run eqmake to respect toolchain and build flags
eqmake5 -recursive ${PN}.pro
@@ -190,11 +178,7 @@ src_install() {
done
local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
- if python_is_python3; then
- rm -r "${uic_dir}"/port_v2 || die
- else
- rm -r "${uic_dir}"/port_v3 || die
- fi
+ rm -r "${uic_dir}"/port_v2 || die
multibuild_merge_root "${tmp_root}" "${D}"
python_optimize
diff --git a/dev-python/PyQt5/PyQt5-5.15.0.ebuild b/dev-python/PyQt5/PyQt5-5.15.0-r1.ebuild
index 2c9d324fc9a0..46c99c6e00aa 100644
--- a/dev-python/PyQt5/PyQt5-5.15.0.ebuild
+++ b/dev-python/PyQt5/PyQt5-5.15.0-r1.ebuild
@@ -3,7 +3,7 @@
EAPI=7
-PYTHON_COMPAT=( python2_7 python3_{5,6,7,8,9} )
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
inherit multibuild python-r1 qmake-utils
DESCRIPTION="Python bindings for the Qt framework"
@@ -54,20 +54,13 @@ REQUIRED_USE="
# Minimal supported version of Qt.
QT_PV="5.12:5"
-RDEPEND="
- ${PYTHON_DEPS}
- $(python_gen_cond_dep '
- dev-python/enum34[${PYTHON_USEDEP}]
- ' -2)
+RDEPEND="${PYTHON_DEPS}
>=dev-python/PyQt5-sip-4.19.23:=[${PYTHON_USEDEP}]
>=dev-qt/qtcore-${QT_PV}
>=dev-qt/qtxml-${QT_PV}
bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )
dbus? (
- python_targets_python2_7? (
- dev-python/dbus-python2[python_targets_python2_7]
- )
- dev-python/dbus-python[python_targets_python3_6(-)?,python_targets_python3_7(-)?,python_targets_python3_8(-)?,python_targets_python3_9(-)?,-python_single_target_python3_6(-),-python_single_target_python3_7(-),-python_single_target_python3_8(-),-python_single_target_python3_9(-)]
+ dev-python/dbus-python[${PYTHON_USEDEP}]
>=dev-qt/qtdbus-${QT_PV}
)
declarative? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
@@ -159,13 +152,8 @@ src_configure() {
"${myconf[@]}" || die
# Fix parallel install failure
- if python_is_python3; then
- sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
- ${PN}.pro || die
- else
- sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_qscintilla_api' \
- ${PN}.pro || die
- fi
+ sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_qscintilla_api' \
+ ${PN}.pro || die
# Run eqmake to respect toolchain and build flags
eqmake5 -recursive ${PN}.pro
@@ -190,11 +178,7 @@ src_install() {
done
local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
- if python_is_python3; then
- rm -r "${uic_dir}"/port_v2 || die
- else
- rm -r "${uic_dir}"/port_v3 || die
- fi
+ rm -r "${uic_dir}"/port_v2 || die
multibuild_merge_root "${tmp_root}" "${D}"
python_optimize
diff --git a/dev-python/PyQt5/PyQt5-5.15.1.ebuild b/dev-python/PyQt5/PyQt5-5.15.1.ebuild
new file mode 100644
index 000000000000..3c273431c68f
--- /dev/null
+++ b/dev-python/PyQt5/PyQt5-5.15.1.ebuild
@@ -0,0 +1,190 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} )
+inherit multibuild python-r1 qmake-utils
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/intro"
+
+MY_P=${PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+# TODO: QtNfc, QtQuick3D, QtRemoteObjects, QtTextToSpeech
+IUSE="bluetooth dbus debug declarative designer examples gles2-only gui help location
+ multimedia network networkauth opengl positioning printsupport sensors serialport
+ sql +ssl svg testlib webchannel webkit websockets widgets x11extras xmlpatterns"
+
+# The requirements below were extracted from configure.py
+# and from the output of 'grep -r "%Import " "${S}"/sip'
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ bluetooth? ( gui )
+ declarative? ( gui network )
+ designer? ( widgets )
+ help? ( gui widgets )
+ location? ( positioning )
+ multimedia? ( gui network )
+ networkauth? ( network )
+ opengl? ( gui widgets )
+ positioning? ( gui )
+ printsupport? ( gui widgets )
+ sensors? ( gui )
+ serialport? ( gui )
+ sql? ( widgets )
+ svg? ( gui widgets )
+ testlib? ( widgets )
+ webchannel? ( network )
+ webkit? ( gui network printsupport widgets )
+ websockets? ( network )
+ widgets? ( gui )
+ xmlpatterns? ( network )
+"
+
+# Minimal supported version of Qt.
+QT_PV="5.14:5"
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-python/PyQt5-sip-4.19.23:=[${PYTHON_USEDEP}]
+ >=dev-qt/qtcore-${QT_PV}
+ >=dev-qt/qtxml-${QT_PV}
+ bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )
+ dbus? (
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ >=dev-qt/qtdbus-${QT_PV}
+ )
+ declarative? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
+ designer? ( >=dev-qt/designer-${QT_PV} )
+ gui? ( >=dev-qt/qtgui-${QT_PV}[gles2-only=] )
+ help? ( >=dev-qt/qthelp-${QT_PV} )
+ location? ( >=dev-qt/qtlocation-${QT_PV} )
+ multimedia? ( >=dev-qt/qtmultimedia-${QT_PV}[widgets?] )
+ network? ( >=dev-qt/qtnetwork-${QT_PV}[ssl=] )
+ networkauth? ( >=dev-qt/qtnetworkauth-${QT_PV} )
+ opengl? ( >=dev-qt/qtopengl-${QT_PV} )
+ positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
+ printsupport? ( >=dev-qt/qtprintsupport-${QT_PV} )
+ sensors? ( >=dev-qt/qtsensors-${QT_PV} )
+ serialport? ( >=dev-qt/qtserialport-${QT_PV} )
+ sql? ( >=dev-qt/qtsql-${QT_PV} )
+ svg? ( >=dev-qt/qtsvg-${QT_PV} )
+ testlib? ( >=dev-qt/qttest-${QT_PV} )
+ webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
+ webkit? ( dev-qt/qtwebkit:5[printsupport] )
+ websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )
+ widgets? ( >=dev-qt/qtwidgets-${QT_PV} )
+ x11extras? ( >=dev-qt/qtx11extras-${QT_PV} )
+ xmlpatterns? ( >=dev-qt/qtxmlpatterns-${QT_PV} )
+"
+DEPEND="${RDEPEND}
+ >=dev-python/sip-4.19.23[${PYTHON_USEDEP}]
+ dbus? ( virtual/pkgconfig )
+"
+
+S=${WORKDIR}/${MY_P}
+
+pyqt_use_enable() {
+ use "$1" || return
+
+ if [[ $# -eq 1 ]]; then
+ echo --enable=Qt$(tr 'a-z' 'A-Z' <<< ${1:0:1})${1:1}
+ else
+ shift
+ echo ${@/#/--enable=}
+ fi
+}
+
+src_configure() {
+ configuration() {
+ local myconf=(
+ "${PYTHON}"
+ "${S}"/configure.py
+ $(usex debug '--debug --qml-debug --trace' '')
+ --verbose
+ --confirm-license
+ --qmake="$(qt5_get_bindir)"/qmake
+ --bindir="${EPREFIX}/usr/bin"
+ --qsci-api
+ --enable=QtCore
+ --enable=QtXml
+ $(pyqt_use_enable bluetooth)
+ $(pyqt_use_enable dbus QtDBus)
+ $(usex dbus '' --no-python-dbus)
+ $(pyqt_use_enable declarative QtQml QtQuick $(usex widgets QtQuickWidgets ''))
+ $(usex declarative '' --no-qml-plugin)
+ $(pyqt_use_enable designer)
+ $(usex designer '' --no-designer-plugin)
+ $(usex gles2-only '--disable-feature=PyQt_Desktop_OpenGL' '')
+ $(pyqt_use_enable gui)
+ $(pyqt_use_enable gui $(use gles2-only && echo _QOpenGLFunctions_ES2 || echo _QOpenGLFunctions_{2_0,2_1,4_1_Core}))
+ $(pyqt_use_enable help)
+ $(pyqt_use_enable location)
+ $(pyqt_use_enable multimedia QtMultimedia $(usex widgets QtMultimediaWidgets ''))
+ $(pyqt_use_enable network)
+ $(pyqt_use_enable networkauth QtNetworkAuth)
+ $(pyqt_use_enable opengl QtOpenGL)
+ $(pyqt_use_enable positioning)
+ $(pyqt_use_enable printsupport QtPrintSupport)
+ $(pyqt_use_enable sensors)
+ $(pyqt_use_enable serialport QtSerialPort)
+ $(pyqt_use_enable sql)
+ $(usex ssl '' '--disable-feature=PyQt_SSL')
+ $(pyqt_use_enable svg)
+ $(pyqt_use_enable testlib QtTest)
+ $(pyqt_use_enable webchannel QtWebChannel)
+ $(pyqt_use_enable webkit QtWebKit QtWebKitWidgets)
+ $(pyqt_use_enable websockets QtWebSockets)
+ $(pyqt_use_enable widgets)
+ $(pyqt_use_enable x11extras QtX11Extras)
+ $(pyqt_use_enable xmlpatterns QtXmlPatterns)
+ )
+ echo "${myconf[@]}"
+ "${myconf[@]}" || die
+
+ # Run eqmake to respect toolchain and build flags
+ eqmake5 -recursive ${PN}.pro
+ }
+ python_foreach_impl run_in_build_dir configuration
+}
+
+src_compile() {
+ python_foreach_impl run_in_build_dir default
+}
+
+src_install() {
+ installation() {
+ local tmp_root=${D}/${PN}_tmp_root
+ # parallel install fails because mk_distinfo.py runs too early
+ emake -j1 INSTALL_ROOT="${tmp_root}" install
+
+ local bin_dir=${tmp_root}${EPREFIX}/usr/bin
+ local exe
+ for exe in pylupdate5 pyrcc5 pyuic5; do
+ python_doexe "${bin_dir}/${exe}"
+ rm "${bin_dir}/${exe}" || die
+ done
+
+ local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
+ rm -r "${uic_dir}"/port_v2 || die
+
+ multibuild_merge_root "${tmp_root}" "${D}"
+ python_optimize
+ }
+ python_foreach_impl run_in_build_dir installation
+
+ einstalldocs
+
+ if use examples; then
+ dodoc -r examples
+ fi
+}
diff --git a/dev-python/PyQt5/metadata.xml b/dev-python/PyQt5/metadata.xml
index 50fa8c75b2ed..cf34e66687de 100644
--- a/dev-python/PyQt5/metadata.xml
+++ b/dev-python/PyQt5/metadata.xml
@@ -40,5 +40,5 @@
<bugs-to>mailto:pyqt@riverbankcomputing.com</bugs-to>
<remote-id type="pypi">PyQt5</remote-id>
</upstream>
- <origin>calculatelinux-overlay</origin>
+ <origin>gentoo-staging</origin>
</pkgmetadata>